eID middleware |

# be.portugal.eid.PTEID_ForeignerCard Class Reference

This class represents a Foreigner card which is a particular PTEID_EIDCard. More...

Inheritance diagram for be.portugal.eid.PTEID_ForeignerCard:

List of all members.

## Public Member Functions
synchronized void | delete ()
## Protected Member Functions
| PTEID_ForeignerCard (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_ForeignerCard obj)

## Detailed Description

This class represents a Foreigner card which is a particular PTEID_EIDCard.

See also:
  PTEID_ReaderContext.getForeignerCard()

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_ForeignerCard.PTEID_ForeignerCard | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_ForeignerCard.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_EIDCard.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_ForeignerCard.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_EIDCard.

static long be.portugal.eid.PTEID_ForeignerCard.getCPtr | ( | PTEID_ForeignerCard | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_ForeignerCard.swigCPtr.